/* Problem URL: https://codeforces.com/problemset/problem/1826/D */

#include <bits/stdc++.h>

using namespace std;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (int i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (int i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int t;
    cin >> t;
    while (t--) {
        int n;
        cin >> n;
        vl fds(n);
        cin >> fds;

        V<pair<ll, int>> suf(n);
        V<pair<ll, int>> pref(n);

        auto maxi = [&](pair<ll, int> a, pair<ll, int> b) {
            return a.first - abs(a.second - b.second) > b.first ? a : b;
        };

        pref[0] = {fds[0], 0};
        suf.back() = {fds.back(), n - 1};
        nrep(i, 1, n) {
            pref[i] = maxi(pref[i - 1], {fds[i], i});
            suf[n - i - 1] = maxi(suf[n - i], {fds[n - i - 1], n - i - 1});
        }

        ll ans = 0;
        nrep(i, 1, n - 1) {
            rmax(ans, fds[i] + pref[i - 1].first + suf[i + 1].first - suf[i + 1].second + pref[i - 1].second);
        }

        cout << ans << '\n';
        
    }
}
